# This file contains configuration information for wash.pl
# Blank lines and lines beginning with a '#' are ignored
# There should be no trailing slashes on directory names!
#
# The only acceptable line format for this configuration file is
#        TYPE:option=value  e.g.  GENERAL:number_of_days=7
#
# The script does extra parsing of values for some options.  This
#  is documented below.
#
# The type must start in the first column of the row.  There may 
#  optionally be single spaces around the ':' between TYPE and option
#  and the '=' between option and value.

# ----- CVS OPTIONS -----
# This section contains options for the cvs checkouts 
#
# CVSROOT and CVS_ARGUMENTS must be specified
#
# Commands to execute after checkout may be specified, use the form:
# CVS:EXTRA_COMMAND=dir_to_execute_in:command
# This is useful for things like tree grafts.

CVS: CVSROOT = :kserver:cvs.mit.edu:/cvs/pismere
#CVS: ARGUMENTS = co pismere/scripts pismere/athena/util/athinfo
CVS: ARGUMENTS = co pismere
#CVS: ARGUMENTS = co -f -r kfw-jaltman-2003-05-post pismere
CVS: EXTRA_COMMAND = pismere\scripts\site:pismere\scripts\site\graft.pl --all

# ----- BUILD OPTIONS -----
# This section contains options for the builds that should be attempted.
#    BUILD:name=log:bin_dir:build_dir:cmd
# e.g
#    BUILD:DEBUG=pismere\athena\dbg.log:pismere\target\i386\bin\dbg:pismere\athena:pismere\scripts\build.pl -l dbg.log
#
# The value LOGNAME in the cmd will be replaced with the specified log
# all directories should be specified in relation to today's dir 
# specified in wash.conf

BUILD: DEBUG = pismere\athena\dbg.log:pismere\target\bin\i386\dbg:pismere\athena:pismere\scripts\build.pl --tools -l dbg.log
BUILD: RELEASE = pismere\athena\rel.log:pismere\target\bin\i386\rel:pismere\athena:pismere\scripts\build.pl --tools -l rel.log NODEBUG=1 BUILD_OFFICIAL=1
BUILD: RELEASE_INSTALLERS = pismere\installers\rel.log:pismere\target\msi\i386\rel:pismere\installers:pismere\scripts\buildinst.pl --tools -s -l rel.log release
BUILD: DEBUG_INSTALLERS = pismere\installers\dbg.log:pismere\target\msi\i386\dbg:pismere\installers:pismere\scripts\buildinst.pl --tools -s -l dbg.log debug

# ----- WASH OPTIONS -----
# Currently, SHAREDIR and BASEDIR are the only variables
# that must be defined in this section. 
# The following variables MAY be defined
#  BUILDS_TO_KEEP
#  WHO_TO_MAIL
#  FROM
#  MAIL_SERVER
#  NAME_OF_SUMMARY
#  LINKD_NAME
#
# if there is a '*' in SHAREDIR it will be replaced with the
# fully qualified domain name
#
# WHO_TO_MAIL should be comma delimited, e.g.
# WASH:WHO_TO_MAIL=jrasmuss@mit.edu, pismere-dev@mit.edu

WASH: SHAREDIR = \\*\wash
WASH: BASEDIR = D:\washer\build\pismere
WASH: BUILDS_TO_KEEP = 3
WASH: NAME_OF_SUMMARY = wash_summary.txt

#WASH: LINKD_NAME = current_build
#WASH: FROM = washing-machine@mit.edu

# ----- TAG OPTIONS -----
# This is the default tag configuration used for a 
# $ENV{KRB5BRANCH}=TAGGED build.  The format for each line is 
# TAG:directory:upopts
# this will perform a cvs update -dP using 'upopts' update options on the 
# 'dir' directory after the initial checkout of the whole tree.
#
# upopts should include the inital -D or -r flag for date or revision
# sticky tags, respectively.  You may also want to use options like -f.
#
# For example:
#
# TAG:pismere/athena/moira/mmc:-D "2003-07-01 10:00"
#
# will cause the build machine to run (during a tagged build only)
# cvs -d$CVSROOT update -d -P -D "2003-07-01 10:00" pismere/athena/moira/mmc
# which should cause the files in the moira snapin directory and 
# subdirectories to be replaced with the versions as of 
# July 1, 2003.  It will also create any directories as needed and prune
# empty subdirectories.
#
#TAG: pismere/athena/moira/mmc:-D "2003-07-01 10:00"
#TAG: pismere/athena/util/locker/lib:-r locker-service
#TAG: pismere/athena/util/athinfo

TAG: pismere/athena/auth/krb4:-r kfw-2_6_5-final
TAG: pismere/athena/auth/leash:-r kfw-2_6_5-final
TAG: pismere/athena/include/kerberos.ver:-r kfw-2_6_5-final
TAG: pismere/athena/auth/aklog:-D "2004-03-24 14:00"
TAG: pismere/athena/util/lib/delaydlls:-D "2003-08-04 16:00"
TAG: pismere/athena/util/lib/afscompat:-D "2003-10-30 16:00"
TAG: pismere/athena/util/lib/afsname:-D "2003-08-04 16:00"
TAG: pismere/athena/wshelper:-r kfw-2_6_5-final
